use super::convert_into_prom_metrics;
use crate::collectors::player_count::get_player_count;
use axum::http::StatusCode;
use axum::response::IntoResponse;

pub async fn get_worlds() -> impl IntoResponse {
    let resp = match get_player_count().await {
        Ok(r) => r,
        Err(_) => return (StatusCode::INTERNAL_SERVER_ERROR, "Nope".to_string()),
    };

    (StatusCode::OK, convert_into_prom_metrics(resp))
}
